<?php

if ( !defined ( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists ( 'reduxSocialProfilesDefaults' ) ) {

    class reduxSocialProfilesDefaults {

        public static function get_social_media_defaults () {
            $defaults = array(
                0 => array(
                    'id'    => 'adn',
                    'icon' => 'fa-adn',
                    'enabled' => false,
                    'name' => __ ( 'ADN', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 0,
                ),
                1 => array( 
                    'id'    => 'android',
                    'icon' => 'fa-android',
                    'enabled' => false,
                    'name' => __ ( 'Android', 'engage' ),
                    'background' => '',
                    'color' => '#A4C639',
                    'url' => '',
                    'order' => 1,
                ),
                2 => array(
                    'id'    => 'apple',
                    'icon' => 'fa-apple',
                    'enabled' => false,
                    'name' => __ ( 'Apple', 'engage' ),
                    'style' => '',
                    'background' => '',
                    'color' => '#e4e4e5',
                    'url' => '',
                    'order' => 2,
                ),
                3 => array( 
                    'id'    => 'behance',
                    'icon' => 'fa-behance',
                    'enabled' => false,
                    'name' => __ ( 'behance', 'engage' ),
                    'background' => '',
                    'color' => '#1769ff',
                    'url' => '',
                    'order' => 3,
                ),
                4 => array( 
                    'id'    => 'behance-square',
                    'icon' => 'fa-behance-square',
                    'enabled' => false,
                    'name' => __ ( 'behance square', 'engage' ),
                    'background' => '',
                    'color' => '#1769ff',
                    'url' => '',
                    'order' => 4,
                ),
                5 => array( 
                    'id'    => 'bitbucket',
                    'icon' => 'fa-bitbucket',
                    'enabled' => false,
                    'name' => __ ( 'Bitbucket', 'engage' ),
                    'background' => '',
                    'color' => '#205081',
                    'url' => '',
                    'order' => 5,
                ),
                6 => array( 
                    'id'    => 'bitbucket-square',
                    'icon' => 'fa-bitbucket-square',
                    'enabled' => false,
                    'name' => __ ( 'Bitbucket square', 'engage' ),
                    'background' => '',
                    'color' => '#205081',
                    'url' => '',
                    'order' => 6,
                ),
                7 => array( 
                    'id'    => 'bitcoin',
                    'icon' => 'fa-btc',
                    'enabled' => false,
                    'name' => __ ( 'Bitcoin', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 7,
                ),
                8 => array( 
                    'id'    => 'codepen',
                    'icon' => 'fa-codepen',
                    'enabled' => false,
                    'name' => __ ( 'CodePen', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 8,
                ),
                9 => array( 
                    'id'    => 'css3',
                    'icon' => 'fa-css3',
                    'enabled' => false,
                    'name' => __ ( 'CSS3', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 9,
                ),
                10 => array( 
                    'id'    => 'delicious',
                    'icon' => 'fa-delicious',
                    'enabled' => false,
                    'name' => __ ( 'Delicious', 'engage' ),
                    'background' => '',
                    'color' => '#3399ff',
                    'url' => '',
                    'order' => 10,
                ),
                11 => array( 
                    'id'    => 'deviantart',
                    'icon' => 'fa-deviantart',
                    'enabled' => false,
                    'name' => __ ( 'Deviantart', 'engage' ),
                    'background' => '',
                    'color' => '#4e6252',
                    'url' => '',
                    'order' => 11,
                ),
                12 => array( 
                    'id'    => 'digg',
                    'icon' => 'fa-digg',
                    'enabled' => false,
                    'name' => __ ( 'Digg', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 12,
                ),
                13 => array( 
                    'id'    => 'dribbble',
                    'icon' => 'fa-dribbble',
                    'enabled' => false,
                    'name' => __ ( 'Dribbble', 'engage' ),
                    'background' => '',
                    'color' => '#444444',
                    'url' => '',
                    'order' => 13,
                ),
                14 => array( 
                    'id'    => 'dropbox',
                    'icon' => 'fa-dropbox',
                    'enabled' => false,
                    'name' => __ ( 'Dropbox', 'engage' ),
                    'background' => '',
                    'color' => '#007ee5',
                    'url' => '',
                    'order' => 14,
                ),
                15 => array( 
                    'id'    => 'drupal',
                    'icon' => 'fa-drupal',
                    'enabled' => false,
                    'name' => __ ( 'Drupal', 'engage' ),
                    'background' => '',
                    'color' => '#0077c0',
                    'url' => '',
                    'order' => 15,
                ),
                16 => array( 
                    'id'    => 'empire',
                    'icon' => 'fa-empire',
                    'enabled' => false,
                    'name' => __ ( 'Empire', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 16,
                ),
                17 => array( 
                    'id'    => 'facebook',
                    'icon' => 'fa-facebook',
                    'enabled' => false,
                    'name' => __ ( 'Facebook', 'engage' ),
                    'background' => '',
                    'color' => '#3b5998',
                    'url' => '',
                    'order' => 17,
                ),
                18 => array( 
                    'id'    => 'facebook-square',
                    'icon' => 'fa-facebook-square',
                    'enabled' => false,
                    'name' => __ ( 'Facebook square', 'engage' ),
                    'background' => '',
                    'color' => '#3b5998',
                    'url' => '',
                    'order' => 18,
                ),
                19 => array( 
                    'id'    => 'flickr',
                    'icon' => 'fa-flickr',
                    'enabled' => false,
                    'name' => __ ( 'Flickr', 'engage' ),
                    'background' => '',
                    'color' => '#0063dc',
                    'url' => '',
                    'order' => 19,
                ),
                20 => array( 
                    'id'    => 'foursquare',
                    'icon' => 'fa-foursquare',
                    'enabled' => false,
                    'name' => __ ( 'FourSquare', 'engage' ),
                    'background' => '',
                    'color' => '#0072b1',
                    'url' => '',
                    'order' => 20,
                ),
                21 => array( 
                    'id'    => 'git',
                    'icon' => 'fa-git',
                    'enabled' => false,
                    'name' => __ ( 'git', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 21,
                ),
                22 => array( 
                    'id'    => 'git-square',
                    'icon' => 'fa-git-square',
                    'enabled' => false,
                    'name' => __ ( 'git square', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 22,
                ),
                23 => array( 
                    'id'    => 'github',
                    'icon' => 'fa-github',
                    'enabled' => false,
                    'name' => __ ( 'github', 'engage' ),
                    'background' => '',
                    'color' => '#4183c4',
                    'url' => '',
                    'order' => 23,
                ),
                24 => array( 
                    'id'    => 'github-alt',
                    'icon' => 'fa-github-alt',
                    'enabled' => false,
                    'name' => __ ( 'github alt', 'engage' ),
                    'background' => '',
                    'color' => '#4183c4',
                    'url' => '',
                    'order' => 24,
                ),
                25 => array( 
                    'id'    => 'github-square',
                    'icon' => 'fa-github-square',
                    'enabled' => false,
                    'name' => __ ( 'github square', 'engage' ),
                    'background' => '',
                    'color' => '#4183c4',
                    'url' => '',
                    'order' => 25,
                ),
                26 => array( 
                    'id'    => 'gittip',
                    'icon' => 'fa-gittip',
                    'enabled' => false,
                    'name' => __ ( 'git tip', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 26,
                ),
                27 => array( 
                    'id'    => 'google',
                    'icon' => 'fa-google',
                    'enabled' => false,
                    'name' => __ ( 'Google', 'engage' ),
                    'background' => '',
                    'color' => '#dd4b39',
                    'url' => '',
                    'order' => 27,
                ),
                28 => array( 
                    'id'    => 'google-plus',
                    'icon' => 'fa-google-plus',
                    'enabled' => false,
                    'name' => __ ( 'Google Plus', 'engage' ),
                    'background' => '',
                    'color' => '#dd4b39',
                    'url' => '',
                    'order' => 28,
                ),
                29 => array( 
                    'id'    => 'google-plus-square',
                    'icon' => 'fa-google-plus-square',
                    'enabled' => false,
                    'name' => __ ( 'Google Plus square', 'engage' ),
                    'background' => '',
                    'color' => '#dd4b39',
                    'url' => '',
                    'order' => 29,
                ),
                30 => array( 
                    'id'    => 'hacker-news',
                    'icon' => 'fa-hacker-news',
                    'enabled' => false,
                    'name' => __ ( 'Hacker News', 'engage' ),
                    'background' => '',
                    'color' => '#ff6600',
                    'url' => '',
                    'order' => 30,
                ),
                31 => array( 
                    'id'    => 'html5',
                    'icon' => 'fa-html5',
                    'enabled' => false,
                    'name' => __ ( 'HTML5', 'engage' ),
                    'background' => '',
                    'color' => '#e34f26',
                    'url' => '',
                    'order' => 31,
                ),
                32 => array( 
                    'id'    => 'instagram',
                    'icon' => 'fa-instagram',
                    'enabled' => false,
                    'name' => __ ( 'Instagram', 'engage' ),
                    'background' => '',
                    'color' => '#3f729b',
                    'url' => '',
                    'order' => 32,
                ),
                33 => array( 
                    'id'    => 'joomla',
                    'icon' => 'fa-joomla',
                    'enabled' => false,
                    'name' => __ ( 'Joomla', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 33,
                ),
                34 => array( 
                    'id'    => 'jsfiddle',
                    'icon' => 'fa-jsfiddle',
                    'enabled' => false,
                    'name' => __ ( 'JS Fiddle', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 34,
                ),
                35 => array( 
                    'id'    => 'linkedin',
                    'icon' => 'fa-linkedin',
                    'enabled' => false,
                    'name' => __ ( 'LinkedIn', 'engage' ),
                    'background' => '',
                    'color' => '#0976b4',
                    'url' => '',
                    'order' => 35,
                ),
                36 => array( 
                    'id'    => 'linkedin-square',
                    'icon' => 'fa-linkedin-square',
                    'enabled' => false,
                    'name' => __ ( 'LinkedIn square', 'engage' ),
                    'background' => '',
                    'color' => '#0976b4',
                    'url' => '',
                    'order' => 36,
                ),
                37 => array( 
                    'id'    => 'linux',
                    'icon' => 'fa-linux',
                    'enabled' => false,
                    'name' => __ ( 'Linux', 'engage' ),
                    'background' => '',
                    'color' => '#333333',
                    'url' => '',
                    'order' => 37,
                ),
                38 => array( 
                    'id'    => 'maxcdn',
                    'icon' => 'fa-maxcdn',
                    'enabled' => false,
                    'name' => __ ( 'MaxCDN', 'engage' ),
                    'background' => '',
                    'color' => '#f8711e',
                    'url' => '',
                    'order' => 38,
                ),
                39 => array( 
                    'id'    => 'openid',
                    'icon' => 'fa-openid',
                    'enabled' => false,
                    'name' => __ ( 'OpenID', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 39,
                ),
                40 => array( 
                    'id'    => 'pagelines',
                    'icon' => 'fa-pagelines',
                    'enabled' => false,
                    'name' => __ ( 'Page Lines', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 40,
                ),
                41 => array( 
                    'id'    => 'pied-piper',
                    'icon' => 'fa-pied-piper',
                    'enabled' => false,
                    'name' => __ ( 'Pied Piper', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 41,
                ),
                42 => array( 
                    'id'    => 'pied-piper-alt',
                    'icon' => 'fa-pied-piper-alt',
                    'enabled' => false,
                    'name' => __ ( 'Pied Piper alt', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 42,
                ),
                43 => array( 
                    'id'    => 'pinterest',
                    'icon' => 'fa-pinterest',
                    'enabled' => false,
                    'name' => __ ( 'Pinterest', 'engage' ),
                    'background' => '',
                    'color' => '#1769ff',
                    'url' => '',
                    'order' => 43,
                ),
                44 => array( 
                    'id'    => 'pinterest-square',
                    'icon' => 'fa-pinterest-square',
                    'enabled' => false,
                    'name' => __ ( 'Pinterest square', 'engage' ),
                    'background' => '',
                    'color' => '#1769ff',
                    'url' => '',
                    'order' => 44,
                ),
                45 => array( 
                    'id'    => 'qq',
                    'icon' => 'fa-qq',
                    'enabled' => false,
                    'name' => __ ( 'QQ', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 45,
                ),
                46 => array( 
                    'id'    => 'rebel',
                    'icon' => 'fa-rebel',
                    'enabled' => false,
                    'name' => __ ( 'Rebel', 'engage' ),
                    'background' => '',
                    'color' => '#517fa4',
                    'url' => '',
                    'order' => 46,
                ),
                47 => array( 
                    'id'    => 'reddit',
                    'icon' => 'fa-reddit',
                    'enabled' => false,
                    'name' => __ ( 'Reddit', 'engage' ),
                    'background' => '',
                    'color' => '#ff4500',
                    'url' => '',
                    'order' => 47,
                ),
                48 => array( 
                    'id'    => 'reddit-square',
                    'icon' => 'fa-reddit-square',
                    'enabled' => false,
                    'name' => __ ( 'Reddit square', 'engage' ),
                    'background' => '',
                    'color' => '#ff4500',
                    'url' => '',
                    'order' => 48,
                ),
                49 => array( 
                    'id'    => 'renren',
                    'icon' => 'fa-renren',
                    'enabled' => false,
                    'name' => __ ( 'Ren Ren', 'engage' ),
                    'background' => '',
                    'color' => '#007bb6',
                    'url' => '',
                    'order' => 49,
                ),
                50 => array( 
                    'id'    => 'share-alt',
                    'icon' => 'fa-share-alt',
                    'enabled' => false,
                    'name' => __ ( 'Share alt', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 50,
                ),
                51 => array( 
                    'id'    => 'share-alt-square',
                    'icon' => 'fa-share-alt-square',
                    'enabled' => false,
                    'name' => __ ( 'Share square', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 51,
                ),
                52 => array( 
                    'id'    => 'skype',
                    'icon' => 'fa-skype',
                    'enabled' => false,
                    'name' => __ ( 'Skype', 'engage' ),
                    'background' => '',
                    'color' => '#00aff0',
                    'url' => '',
                    'order' => 52,
                ),
                53 => array( 
                    'id'    => 'slack',
                    'icon' => 'fa-slack',
                    'enabled' => false,
                    'name' => __ ( 'Slack', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 53,
                ),
                54 => array( 
                    'id'    => 'soundcloud',
                    'icon' => 'fa-soundcloud',
                    'enabled' => false,
                    'name' => __ ( 'Sound Cloud', 'engage' ),
                    'background' => '',
                    'color' => '#f80',
                    'url' => '',
                    'order' => 54,
                ),
                55 => array( 
                    'id'    => 'spotify',
                    'icon' => 'fa-spotify',
                    'enabled' => false,
                    'name' => __ ( 'Spotify', 'engage' ),
                    'background' => '',
                    'color' => '#7ab800',
                    'url' => '',
                    'order' => 55,
                ),
                56 => array( 
                    'id'    => 'stack-exchange',
                    'icon' => 'fa-stack-exchange',
                    'enabled' => false,
                    'name' => __ ( 'Stack Exchange', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 56,
                ),
                57 => array( 
                    'id'    => 'stack-overflow',
                    'icon' => 'fa-stack-overflow',
                    'enabled' => false,
                    'name' => __ ( 'Stack Overflow', 'engage' ),
                    'background' => '',
                    'color' => '#fe7a15',
                    'url' => '',
                    'order' => 57,
                ),
                58 => array( 
                    'id'    => 'steam',
                    'icon' => 'fa-steam',
                    'enabled' => false,
                    'name' => __ ( 'Steam', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 58,
                ),
                59 => array( 
                    'id'    => 'steam-square',
                    'icon' => 'fa-steam-square',
                    'enabled' => false,
                    'name' => __ ( 'Steam square', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 59,
                ),
                60 => array( 
                    'id'    => 'stumbleupon',
                    'icon' => 'fa-stumbleupon',
                    'enabled' => false,
                    'name' => __ ( 'Stumble Upon', 'engage' ),
                    'background' => '',
                    'color' => '#eb4924',
                    'url' => '',
                    'order' => 60,
                ),
                61 => array( 
                    'id'    => 'stumbleupon-circle',
                    'icon' => 'fa-stumbleupon-circle',
                    'enabled' => false,
                    'name' => __ ( 'Stumble Upon circle', 'engage' ),
                    'background' => '',
                    'color' => '#eb4924',
                    'url' => '',
                    'order' => 61,
                ),
                62 => array( 
                    'id'    => 'tencent-weibo',
                    'icon' => 'fa-tencent-weibo',
                    'enabled' => false,
                    'name' => __ ( 'Tencent Weibo', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 62,
                ),
                63 => array( 
                    'id'    => 'trello',
                    'icon' => 'fa-trello',
                    'enabled' => false,
                    'name' => __ ( 'Trello', 'engage' ),
                    'background' => '',
                    'color' => '#256a92',
                    'url' => '',
                    'order' => 63,
                ),
                64 => array( 
                    'id'    => 'tumblr',
                    'icon' => 'fa-tumblr',
                    'enabled' => false,
                    'name' => __ ( 'Tumblr', 'engage' ),
                    'background' => '',
                    'color' => '#35465c',
                    'url' => '',
                    'order' => 64,
                ),
                65 => array( 
                    'id'    => 'tumblr-square',
                    'icon' => 'fa-tumblr-square',
                    'enabled' => false,
                    'name' => __ ( 'Tumblr square', 'engage' ),
                    'background' => '',
                    'color' => '#35465c',
                    'url' => '',
                    'order' => 65,
                ),
                66 => array( 
                    'id'    => 'twitter',
                    'icon' => 'fa-twitter',
                    'enabled' => false,
                    'name' => __ ( 'Twitter', 'engage' ),
                    'background' => '',
                    'color' => '#55acee',
                    'url' => '',
                    'order' => 66,
                ),
                67 => array( 
                    'id'    => 'twitter-square',
                    'icon' => 'fa-twitter-square',
                    'enabled' => false,
                    'name' => __ ( 'Twitter square', 'engage' ),
                    'background' => '',
                    'color' => '#55acee',
                    'url' => '',
                    'order' => 67,
                ),
                68 => array( 
                    'id'    => 'vimeo-square',
                    'icon' => 'fa-vimeo-square',
                    'enabled' => false,
                    'name' => __ ( 'Vimeo square', 'engage' ),
                    'background' => '',
                    'color' => '#1ab7ea',
                    'url' => '',
                    'order' => 68,
                ),
                69 => array( 
                    'id'    => 'vine',
                    'icon' => 'fa-vine',
                    'enabled' => false,
                    'name' => __ ( 'Vine', 'engage' ),
                    'background' => '',
                    'color' => '#00b488',
                    'url' => '',
                    'order' => 69,
                ),
                70 => array( 
                    'id'    => 'vk',
                    'icon' => 'fa-vk',
                    'enabled' => false,
                    'name' => __ ( 'VK', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 70,
                ),
                71 => array( 
                    'id'    => 'weibo',
                    'icon' => 'fa-weibo',
                    'enabled' => false,
                    'name' => __ ( 'Weibo', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 71,
                ),
                72 => array( 
                    'id'    => 'weixin',
                    'icon' => 'fa-weixin',
                    'enabled' => false,
                    'name' => __ ( 'Weixin', 'engage' ),
                    'background' => '',
                    'color' => '#000000',
                    'url' => '',
                    'order' => 72,
                ),
                73 => array( 
                    'id'    => 'windows',
                    'icon' => 'fa-windows',
                    'enabled' => false,
                    'name' => __ ( 'Windows', 'engage' ),
                    'background' => '',
                    'color' => '#00bcf2',
                    'url' => '',
                    'order' => 73,
                ),
                74 => array( 
                    'id'    => 'wordpress',
                    'icon' => 'fa-wordpress',
                    'enabled' => false,
                    'name' => __ ( 'WordPress', 'engage' ),
                    'background' => '',
                    'color' => '#21759b',
                    'url' => '',
                    'order' => 74,
                ),
                75 => array( 
                    'id'    => 'xing',
                    'icon' => 'fa-xing',
                    'enabled' => false,
                    'name' => __ ( 'Xing', 'engage' ),
                    'background' => '',
                    'color' => '#026466',
                    'url' => '',
                    'order' => 75,
                ),
                76 => array( 
                    'id'    => 'xing-square',
                    'icon' => 'fa-xing-square',
                    'enabled' => false,
                    'name' => __ ( 'Xing square', 'engage' ),
                    'background' => '',
                    'color' => '#026466',
                    'url' => '',
                    'order' => 76,
                ),
                77 => array( 
                    'id'    => 'yahoo',
                    'icon' => 'fa-yahoo',
                    'enabled' => false,
                    'name' => __ ( 'Yahoo', 'engage' ),
                    'background' => '',
                    'color' => '#400191',
                    'url' => '',
                    'order' => 77,
                ),
                78 => array( 
                    'id'    => 'yelp',
                    'icon' => 'fa-yelp',
                    'enabled' => false,
                    'name' => __ ( 'Yelp', 'engage' ),
                    'background' => '',
                    'color' => '#C93C27',
                    'url' => '',
                    'order' => 78,
                ),
                79 => array( 
                    'id'    => 'youtube',
                    'icon' => 'fa-youtube',
                    'enabled' => false,
                    'name' => __ ( 'YouTube', 'engage' ),
                    'background' => '',
                    'color' => '#e52d27',
                    'url' => '',
                    'order' => 79,
                ),
                80 => array( 
                    'id'    => 'youtube-play',
                    'icon' => 'fa-youtube-play',
                    'enabled' => false,
                    'name' => __ ( 'YouTube play', 'engage' ),
                    'background' => '',
                    'color' => '#e52d27',
                    'url' => '',
                    'order' => 80,
                ),
                81 => array( 
                    'id'    => 'youtube-square',
                    'icon' => 'fa-youtube-square',
                    'enabled' => false,
                    'name' => __ ( 'YouTube square', 'engage' ),
                    'background' => '',
                    'color' => '#e52d27',
                    'url' => '',
                    'order' => 81,
                ),
            );

            return $defaults;
        }
    }
}